# Speaker Types

Speaker Types

 - [GET /speakerTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/listspeakertypes.md): This method will scan all speaker types and and return them to the caller.
 - [POST /speakerTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/createspeakertype.md): This method will auto-generate an ID and create a new speaker type. If an ID is specified for the speaker type, an error will be thrown.
 - [POST /speakerTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /speakerTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/deletespeakertype.md): This method will delete a speaker type with the specified ID.
 - [GET /speakerTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/getspeakertype.md): This method will look up a speaker type by the specified ID and return it back.
 - [PATCH /speakerTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/patchspeakertype.md): This method will patch an existing speaker type with the specified ID, using the HTTP PATCH specification.
 - [PUT /speakerTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/updatespeakertype.md): This method will update an existing speaker type with the specified ID.
